#
# Default datapath configuration for Mellanox Spectrum chip
# Copyright 2016, 2017, Cumulus Networks, Inc.  All rights reserved.
#

# priority group ID assigned to each priority group
priority_group.control.id = 0
priority_group.service.id = 0
priority_group.bulk.id = 0

# all priority groups share a service pool on Spectrum
# service pools assigned to each priority group
priority_group.control.service_pool = 0
priority_group.service.service_pool = 0
priority_group.bulk.service_pool = 0

# --- ingress buffer space allocations ---
#
# total buffer
#  - ingress minimum buffer allocations
#  - ingress service pool buffer allocations
#  - priority group ingress headroom allocations
#  - ingress global headroom allocations
#  = total ingress shared buffer size

# ingress service pool buffer allocation: percent of total buffer
# If a service pool has no priority groups, the buffer is added
# to the shared buffer space.
ingress_service_pool.0.percent = 50.0  # all priority groups

# priority group minimum buffer allocation: percent of total buffer cells
# priority group shared buffer allocation: percent of total shared buffer size
# if a priority group has no packet priority values assigned to it, the buffers will not be allocated

priority_group.control.ingress_buffer.min_percent     =  4.0
priority_group.control.ingress_buffer.shared_percent  = 20.0

priority_group.service.ingress_buffer.min_percent     =  2.0
priority_group.service.ingress_buffer.shared_percent  =  3.0

priority_group.bulk.ingress_buffer.min_percent        = 18.0
priority_group.bulk.ingress_buffer.shared_percent     = 15.0

# --- egress buffer space allocations ---
#
# total egress buffer
#  - minimum buffer allocations
#  = total service pool buffer size
#
# Service pool buffer allocation: percent of total
# buffer size.
egress_service_pool.0.percent = 50.0   # all priority groups, UC and MC

# Front panel port egress buffer limits enforced for each
# priority group.
# Unlimited egress buffers not supported on Spectrum.
priority_group.control.unlimited_egress_buffer  = false
priority_group.service.unlimited_egress_buffer  = false
priority_group.bulk.unlimited_egress_buffer     = false

#
# if a priority group has no cos values assigned to it, the buffers will not be allocated
#

# priority group minimum buffer allocation: percent of total buffer
priority_group.bulk.egress_buffer.uc.min_percent      =  6.0
priority_group.service.egress_buffer.uc.min_percent   =  2.0
priority_group.control.egress_buffer.uc.min_percent   =  4.0

priority_group.bulk.egress_buffer.mc.min_percent      =  5.0
priority_group.service.egress_buffer.mc.min_percent   =  2.0
priority_group.control.egress_buffer.mc.min_percent   =  3.0

# Priority group service pool buffer limits: percent of the
# assigned service pool.
priority_group.bulk.egress_buffer.uc.sp_percent       = 40.0
priority_group.service.egress_buffer.uc.sp_percent    =  5.0
priority_group.control.egress_buffer.uc.sp_percent    = 30.0

priority_group.bulk.egress_buffer.mc.sp_percent       = 40.0
priority_group.service.egress_buffer.mc.sp_percent    =  5.0
priority_group.control.egress_buffer.mc.sp_percent    = 30.0

# the per-port limit on multicast packets (applies to all switch priorities)
port.egress_buffer.mc.sp_percent = 12.5

# internal cos values mapped to egress queues
# multicast queue: same as unicast queue
cos_egr_queue.cos_0.uc  = 0
cos_egr_queue.cos_0.cpu = 0

cos_egr_queue.cos_1.uc  = 1
cos_egr_queue.cos_1.cpu = 1

cos_egr_queue.cos_2.uc  = 2
cos_egr_queue.cos_2.cpu = 2

cos_egr_queue.cos_3.uc  = 3
cos_egr_queue.cos_3.cpu = 3

cos_egr_queue.cos_4.uc  = 4
cos_egr_queue.cos_4.cpu = 4

cos_egr_queue.cos_5.uc  = 5
cos_egr_queue.cos_5.cpu = 5

cos_egr_queue.cos_6.uc  = 6
cos_egr_queue.cos_6.cpu = 6

cos_egr_queue.cos_7.uc  = 7
cos_egr_queue.cos_7.cpu = 7

#TCAM resource forwarding profile
# Valid profiles -
#    default, ipmc-heavy, acl-heavy, ipmc-max, ip-acl-heavy
tcam_resource.profile = default

# Resilient hash timers: in milliseconds
# resilient_hash_active_timer = 120000
# resilient_hash_max_unbalanced_timer = 4294967295
priority_group.control.id = 0
priority_group.service.id = 0
priority_group.bulk.id = 0
priority_group.control.service_pool = 0
priority_group.service.service_pool = 0
priority_group.bulk.service_pool = 0
ingress_service_pool.0.mode = 1
egress_service_pool.0.mode = 1
flow_control.service_pool = 1
ingress_service_pool.1.percent = 50.0
ingress_service_pool.1.mode = 1
egress_service_pool.1.percent = 100.0
egress_service_pool.1.mode = 1
priority_group.control.ingress_buffer.dynamic_quota = 11
priority_group.service.ingress_buffer.dynamic_quota = 11
priority_group.bulk.ingress_buffer.dynamic_quota = 11
flow_control.ingress_buffer.dynamic_quota = 9
priority_group.bulk.egress_buffer.uc.sp_dynamic_quota = 11
priority_group.service.egress_buffer.uc.sp_dynamic_quota = 11
priority_group.control.egress_buffer.uc.sp_dynamic_quota = 11
priority_group.bulk.egress_buffer.mc.sp_dynamic_quota = 9
priority_group.service.egress_buffer.mc.sp_dynamic_quota = 9
priority_group.control.egress_buffer.mc.sp_dynamic_quota = 9